# OgreLog.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::LogListener

Remarks:
  Pure Abstract class, derive this class and register to the Log to listen to log messages

More...

class | Ogre::Log

Remarks:
  Log class for writing debug/log data to files.

More...

## Defines

#define | OGRE_LOG_THRESHOLD 4

## Enumerations

enum | Ogre::LoggingLevel { Ogre::LL_LOW = 1, Ogre::LL_NORMAL = 2, Ogre::LL_BOREME = 3 }
| The level of detail to which the log will go into. More...
enum | Ogre::LogMessageLevel { Ogre::LML_TRIVIAL = 1, Ogre::LML_NORMAL = 2, Ogre::LML_CRITICAL = 3 }
| The importance of a logged message. More...

## Define Documentation

#define OGRE_LOG_THRESHOLD 4

Definition at line 38 of file OgreLog.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:05 2008